﻿#language: ru

Функционал: Учет лаб.анализов на ПАЦ

Сценарий: Лаб.анализы на смесь, сливки 
	Дано Я подключаюсь под "Лаборант"
	И В командном интерфейсе я выбираю 'Производство' 'Мониторинг выполнения лабораторных анализов'
	Тогда открылось окно 'Заявки на анализы номенклатуры'
	И в таблице "Список" я перехожу к строке:
		| 'Вид анализа'        | 'Номенклатура' | 'Состояние' |
		| 'Показатели МДЖ МДБ' | 'Сливки'       | 'Заявка'    |
	И я нажимаю на кнопку с именем 'СписокКомандаАнализыНоменклатуры'
	Тогда открылось окно 'Анализы номенклатуры (создание)'
	И я перехожу к закладке "Результаты анализов"
	И в таблице "РезультатыАнализов" я перехожу к строке:
		| 'Показатель' |
		| 'МДБ'        |
	И в таблице "РезультатыАнализов" в поле 'Значение показателя' я ввожу текст '22,000'
	И в таблице "РезультатыАнализов" я перехожу к строке:
		| 'Показатель' |
		| 'МДЖ'        |
	И в таблице "РезультатыАнализов" в поле 'Значение показателя' я ввожу текст '28,000'
	И я нажимаю на кнопку 'Провести и закрыть'
	И я жду закрытия окна 'Анализы номенклатуры (создание)' в течение 20 секунд
	Тогда открылось окно 'Заявки на анализы номенклатуры'
	И в таблице "Список" я перехожу к строке:
		| 'Вид анализа'        | 'Номенклатура' | 'Серия'                   | 'Состояние' |
		| 'показатели МДЖ МДБ' | 'Смесь 45%'    | '3 до 12.03.2019 0:00:00' | 'Заявка'    |
	И я нажимаю на кнопку с именем 'СписокКомандаАнализыНоменклатуры'
	Тогда открылось окно 'Анализы номенклатуры (создание)'
	И я перехожу к закладке "Результаты анализов"
	И в таблице "РезультатыАнализов" я перехожу к строке:
		| 'Показатель' |
		| 'МДБ'        |
	И в таблице "РезультатыАнализов" в поле 'Значение показателя' я ввожу текст '2,300'
	И в таблице "РезультатыАнализов" я перехожу к строке:
		| 'Показатель' |
		| 'МДЖ'        |
	И в таблице "РезультатыАнализов" в поле 'Значение показателя' я ввожу текст '2,650'
	И я нажимаю на кнопку 'Провести и закрыть'
	И я жду закрытия окна 'Анализы номенклатуры (создание)' в течение 20 секунд
	Тогда открылось окно 'Заявки на анализы номенклатуры'
	И в таблице "Список" я перехожу к строке:
		| 'Вид анализа'        | 'Номенклатура' | 'Серия'                   | 'Состояние' |
		| 'показатели МДЖ МДБ' | 'Смесь 45%'    | '4 до 12.03.2019 0:00:00' | 'Заявка'    |
	И я нажимаю на кнопку с именем 'СписокКомандаАнализыНоменклатуры'
	Тогда открылось окно 'Анализы номенклатуры (создание)'
	И я перехожу к закладке "Результаты анализов"
	И в таблице "РезультатыАнализов" я перехожу к строке:
		| 'Показатель' |
		| 'МДБ'        |
	И в таблице "РезультатыАнализов" в поле 'Значение показателя' я ввожу текст '2,500'
	И в таблице "РезультатыАнализов" я перехожу к строке:
		| 'Показатель' |
		| 'МДЖ'        |
	И в таблице "РезультатыАнализов" в поле 'Значение показателя' я ввожу текст '2,800'
	И я нажимаю на кнопку 'Провести и закрыть'
	И я жду закрытия окна 'Анализы номенклатуры (создание)' в течение 20 секунд
	Тогда открылось окно 'Заявки на анализы номенклатуры'
	И Я закрываю окно 'Заявки на анализы номенклатуры'

Сценарий: 10_milk_scenario.03.003 Закрытие клиента тестирования
	И я закрываю сеанс TESTCLIENT